#!/usr/bin/env python

import argparse
import pyshellspec

ra = 360 * 18/24. + 50 / 60. + 04.79525 / 3600.
dec = 33 + 21 / 60. + 45.6100 / 3600.

def main():
    """
    """
    
    # parse the commadn line arguments
    ps = argparse.ArgumentParser()
    ps.add_argument('-f', type=str, required=True, nargs='+')
    ps.add_argument('-loc', type=str, required=True)
    args = ps.parse_args()
    
    for f in args.f:
        # wrap the observation
        obs = pyshellspec.IFData(f, location=args.loc, ra=ra, dec=dec)
        
        # write it to ascii
        obs.fits_to_ascii()
        
        
if __name__ == '__main__':
    main()

