import argparse
import numpy as np
from astropy.io import fits


def main():
    """
    """
    
    # parse the command-line arguments
    ps = argparse.ArgumentParser()
    ps.add_argument('-f', nargs='+', type=str, required=True)
    args = ps.parse_args()
    
    for f in args.f:
        hdu = fits.open(f)
        for hdulist in hdu:
	    if hdulist.name == 'OI_VIS2':
		vis2 = hdulist.data['VIS2DATA']
		vis2err = hdulist.data['VIS2ERR']
		meanvis2 = vis2.mean()
		sigvis2 = vis2.std()
		
		# change the erroe
		for i in range(vis2.size):
		    if meanvis2 > 0.05:
			vis2err[i] = max([vis2err[i], sigvis2])
		    else:
			vis2err[i] = max([vis2err[i], 0.05])
		
		hdulist.data['VIS2ERR'] = vis2err
		
	hdu.writeto(f, clobber=True)
	

		
        
        
if __name__ == '__main__':
    main()